MAPIProxy 2.0 API Documentation

- Main Page
- Related Pages
- Data Structures
- Files

- File List
- Globals

Functions
libmapiserver_oxcstor.c File Reference

OXCSTOR ROP Response size calculations. More...

`#include "libmapiserver.h"`
`#include <string.h>`

## Functions
_PUBLIC_ uint16_t | libmapiserver_RopGetPerUserGuid_size (struct EcDoRpc_MAPI_REPL *response)
_PUBLIC_ uint16_t | libmapiserver_RopGetPerUserLongTermIds_size (struct EcDoRpc_MAPI_REPL *response)
_PUBLIC_ uint16_t | libmapiserver_RopGetReceiveFolder_size (struct EcDoRpc_MAPI_REPL *response)
_PUBLIC_ uint16_t | libmapiserver_RopGetReceiveFolderTable_size (struct EcDoRpc_MAPI_REPL *response)
_PUBLIC_ uint16_t | libmapiserver_RopGetStoreState_size (struct EcDoRpc_MAPI_REPL *response)
_PUBLIC_ uint16_t | libmapiserver_RopIdFromLongTermId_size (struct EcDoRpc_MAPI_REPL *response)
uint16_t | libmapiserver_RopLogon_size (struct EcDoRpc_MAPI_REQ *request, struct EcDoRpc_MAPI_REPL *response)
_PUBLIC_ uint16_t | libmapiserver_RopLongTermIdFromId_size (struct EcDoRpc_MAPI_REPL *response)
_PUBLIC_ uint16_t | libmapiserver_RopReadPerUserInformation_size (struct EcDoRpc_MAPI_REPL *response)
_PUBLIC_ uint16_t | libmapiserver_RopSetReceiveFolder_size (struct EcDoRpc_MAPI_REPL *response)

## Detailed Description

OXCSTOR ROP Response size calculations.

## Function Documentation

_PUBLIC_ uint16_t libmapiserver_RopGetPerUserGuid_size | ( | struct EcDoRpc_MAPI_REPL * | response | ) |

Calculate GetPerUserLongTermIds Rop size

Parameters

  response | pointer to the GetPerUserLongTermIds EcDoRpc_MAPI_REPL structure

Returns
  Size of GetPerUserLongTermIds response

Referenced by EcDoRpc_RopGetPerUserGuid().

_PUBLIC_ uint16_t libmapiserver_RopGetPerUserLongTermIds_size | ( | struct EcDoRpc_MAPI_REPL * | response | ) |

Calculate GetPerUserLongTermIds Rop size

Parameters

  response | pointer to the GetPerUserLongTermIds EcDoRpc_MAPI_REPL structure

Returns
  Size of GetPerUserLongTermIds response

References libmapiserver_LongTermId_size().

Referenced by EcDoRpc_RopGetPerUserLongTermIds().

_PUBLIC_ uint16_t libmapiserver_RopGetReceiveFolder_size | ( | struct EcDoRpc_MAPI_REPL * | response | ) |

Calculate GetReceiveFolder Rop size

Parameters

  response | pointer to the GetReceiveFolder EcDoRpc_MAPI_REPL structure

Returns
  Size of GetReceiveFolder response

Referenced by EcDoRpc_RopGetReceiveFolder().

_PUBLIC_ uint16_t libmapiserver_RopGetReceiveFolderTable_size | ( | struct EcDoRpc_MAPI_REPL * | response | ) |

Calculate GetReceiveFolderTable ROP size

Parameters

  response | pointer to the GetReceiveFolderTable EcDoRpc_MAPI_REPL structure

Returns
  Size of GetPerUserLongTermIds response

_PUBLIC_ uint16_t libmapiserver_RopGetStoreState_size | ( | struct EcDoRpc_MAPI_REPL * | response | ) |

Calculate GetStoreState Rop size

Parameters

  response | pointer to the GetStoreState EcDoRpc_MAPI_REPL structure

Returns
  Size of GetStoreState response

Referenced by EcDoRpc_RopGetStoreState().

_PUBLIC_ uint16_t libmapiserver_RopIdFromLongTermId_size | ( | struct EcDoRpc_MAPI_REPL * | response | ) |

Calculate IdFromLongTermId Rop size

Parameters

  response | pointer to the IdFromLongTermId EcDoRpc_MAPI_REPL structure

Returns
  Size of IdFromLongTermId response

Referenced by EcDoRpc_RopIdFromLongTermId().

uint16_t libmapiserver_RopLogon_size | ( | struct EcDoRpc_MAPI_REQ * | request,
|  | struct EcDoRpc_MAPI_REPL * | response
| ) |  |

Calculate Logon Rop size

Parameters

  request | pointer to the Logon EcDoRpc_MAPI_REQ structure
  response | pointer to the Logon EcDoRpc_MAPI_REPL structure

Returns
  Size of Logon response

Referenced by EcDoRpc_RopLogon().

_PUBLIC_ uint16_t libmapiserver_RopLongTermIdFromId_size | ( | struct EcDoRpc_MAPI_REPL * | response | ) |

Calculate LongTermIdFromId Rop size

Parameters

  response | pointer to the LongTermIdFromId EcDoRpc_MAPI_REPL structure

Returns
  Size of LongTermIdFromId response

Referenced by EcDoRpc_RopLongTermIdFromId().

_PUBLIC_ uint16_t libmapiserver_RopReadPerUserInformation_size | ( | struct EcDoRpc_MAPI_REPL * | response | ) |

Calculate ReadPerUserInformation Rop size

Parameters

  response | pointer to the ReadPerUserInformation EcDoRpc_MAPI_REPL structure

Returns
  Size of ReadPerUserInformation response

Referenced by EcDoRpc_RopReadPerUserInformation().

_PUBLIC_ uint16_t libmapiserver_RopSetReceiveFolder_size | ( | struct EcDoRpc_MAPI_REPL * | response | ) |

Calculate SetReceiveFolder (0x26) Rop size

Parameters

  response | pointer to the SetReceiveFolder EcDoRpc_MAPI_REPL structure

Returns
  Size of SetReceiveFolder response

Referenced by EcDoRpc_RopSetReceiveFolder().

| This content is licensed under the Creative Commons Attribution ShareAlike License v. 3.0: http://creativecommons.org/licenses/by-sa/3.0/